##
##  dos2unix.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         dos2unix
Summary:      DOS/MAC to UNIX Text File Format Converter
URL:          http://waterlan.home.xs4all.nl/dos2unix.html
Vendor:       Benjamin Lin, Erwin Waterlander
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        BASE
Group:        Charset
License:      GPL
Version:      7.5.2
Release:      20240125

#   list of sources
Source0:      http://waterlan.home.xs4all.nl/dos2unix/dos2unix-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, make
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  libiconv, gettext
PreReq:       libiconv, gettext

%description
    These are the dos2unix, unix2dos, mac2unix and unix2mac text file
    format conversion utilities, originally found under SunOS/Solaris.

%track
    prog dos2unix = {
        version   = %{version}
        url       = http://www.xs4all.nl/~waterlan/dos2unix.html
        regex     = dos2unix-(\d+\.\d+(?:\.\d+)?)\.tar\.gz
    }

%prep
    %setup -q

%build
    %{l_make} %{l_mflags} \
        CC="%{l_cc}" \
        CFLAGS="%{l_cflags -O} %{l_cppflags}" \
        LDFLAGS="%{l_ldflags} -lintl -liconv"

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -s -m 755 \
        dos2unix $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        man/man1/dos2unix.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_shtool} install -c -s -m 755 \
        unix2dos $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} mkln \
        $RPM_BUILD_ROOT%{l_prefix}/bin/dos2unix \
        $RPM_BUILD_ROOT%{l_prefix}/bin/mac2unix
    %{l_shtool} mkln \
        $RPM_BUILD_ROOT%{l_prefix}/bin/unix2dos \
        $RPM_BUILD_ROOT%{l_prefix}/bin/unix2mac
    %{l_shtool} mkln \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1/dos2unix.1 \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1/unix2dos.1
    %{l_shtool} mkln \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1/dos2unix.1 \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1/mac2unix.1
    %{l_shtool} mkln \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1/dos2unix.1 \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1/unix2mac.1
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

